org.eclipse.emf.cdo.server

## Interface IStoreFactory

-     public interface IStoreFactory

  Creates `stores`.
  Author:
    Eike Stepper
  Apiviz
    `IStore` - - creates

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IStore` | `createStore(java.lang.String repositoryName, java.util.Map<java.lang.String,java.lang.String> repositoryProperties, org.w3c.dom.Element storeConfig)`
    `java.lang.String` | `getStoreType()`

- - ### Method Detail

    - #### getStoreType

          java.lang.String getStoreType()

    - #### createStore

          IStore createStore(java.lang.String repositoryName,
                             java.util.Map<java.lang.String,java.lang.String> repositoryProperties,
                             org.w3c.dom.Element storeConfig)

      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html